Thursday, December 20th 2007

AMD Catalyst 7.12 Released

AMD has updated its Catalyst driver to version 7.12, which supports all ATI Radeon 9500 series and newer graphics cards. The changes in this release include a number of game fixes, a few performance tweaks and enhanced OverDrive support for Radeon HD 2900 cards. Download locations are as follows:
  • Windows XP 32-bit – here
  • Windows XP 64-bit – here
  • Windows Vista 32-bit – here
  • Windows Vista 64-bit – here
Source: AMD GAME!
Add your own comment

38 Comments on AMD Catalyst 7.12 Released

#1
Widjaja
thedivinehairband said:
Does anyone know yet if they've fixed the issue with agp cards such as the x1950 pro or am I best off still sticking with the Omega 7.10s?
I'm using 7.12 but even 7.9 worked with my AGP card.

No diff on a X1950pro in 3Dmark06 & didn't expect one.
7.9 gave me the highest mark this year.

Ohwell back to gaming.
Posted on Reply
#2
cool_recep
Guys do you have any idea about whether I should stick with the Crysis hotfix or install this...???
Posted on Reply
#3
Wile E
Power User
cool_recep said:
Guys do you have any idea about whether I should stick with the Crysis hotfix or install this...???
If you are still playing Crysis, stick with the hotfix drivers.
Posted on Reply
#4
EastCoasthandle
cool_recep said:
Guys do you have any idea about whether I should stick with the Crysis hotfix or install this...???
with my 2900 I am noticing frame rate improvements in WIC's benchmark from 39 to 41 at 1680
Posted on Reply
#5
Scrizz
OnBoard said:
This might be my last ATI driver installation for a looong time :cry: (should get 8800gt finally start of the next year).

Oh and haven't uninstalled any catalyst 7 version driver the whole year, before a new one and still going strong. (and I've only used the display driver without CCC). Will put this on on top of previous ones as well and it will work too :) (people are too obsessed about uninstalling previous drivers, or I'm just lazy to do it :p)
ohh your gonna need to uninstall when you get yout 8800
Posted on Reply
#6
OnBoard
Scrizz said:
ohh your gonna need to uninstall when you get yout 8800
Of course, will run catalyst uninstaller, clear registry and propably do a manual delete to what is left and looking like ATI :) In the mean time I enjoy my ATI days, only once I had a driver issue in past with x800gto and current card, not bad for over 2 years of use.
Posted on Reply
#7
t_ski
Former Staff
imperialreign said:
I'd like to see some xFire support, for sure
Are you running the retail game? There was a workaround by using the config folder from the demo version to run crossfire.

I'm running crossfire and can play the Crysis demo with the 7.12's. The 7.11's were crashing when the game opened.
Posted on Reply
#8
cool_recep
EastCoasthandle said:
with my 2900 I am noticing frame rate improvements in WIC's benchmark from 39 to 41 at 1680
I have a 2900 too...So I will update it...
Posted on Reply
#9
hrvoje
thedivinehairband said:
Does anyone know yet if they've fixed the issue with agp cards such as the x1950 pro or am I best off still sticking with the Omega 7.10s?
Dosent work for me.
Its all good until you try something in Direct 3D.
But funny thing is that got in ATI Tray Tools Bench (Sahhire 1950Pro AGP) this:
Posted on Reply
#10
spud107
working fine here, jus ran that atitray bench too,
fookin hell lol
Posted on Reply
#11
hrvoje
^^
i think that test is in openGL, did you try any 3Dmarks, or in dxdiag direct3D test
Posted on Reply
Add your own comment